{"openapi":"3.1.0","info":{"title":"Galileo API Server","version":"0.0.0+orbit"},"servers":[{"url":"https://api.galileo.ai","description":"Galileo API Server - galileo-v2"}],"paths":{"/login":{"post":{"tags":["auth"],"summary":"Login Email","operationId":"login_email_login_post","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Body_login_email_login_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"OAuth2PasswordBearer":[]}]}},"/login/api_key":{"post":{"tags":["auth"],"summary":"Login Api Key","operationId":"login_api_key_login_api_key_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyLoginRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"OAuth2PasswordBearer":[]}]}},"/login/social":{"post":{"tags":["auth"],"summary":"Login Social","operationId":"login_social_login_social_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SocialLoginRequest","examples":[{"id_token":"token1234","provider":"google"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"OAuth2PasswordBearer":[]}]}},"/saml/login":{"get":{"tags":["auth"],"summary":"Saml Login","operationId":"saml_login_saml_login_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/saml/acs":{"post":{"tags":["auth"],"summary":"Saml Acs","operationId":"saml_acs_saml_acs_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"OAuth2PasswordBearer":[]}]}},"/saml/metadata":{"get":{"tags":["auth"],"summary":"Saml Metadata","operationId":"saml_metadata_saml_metadata_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/logout":{"post":{"tags":["auth"],"summary":"Logout","operationId":"logout_logout_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/verify_email":{"post":{"tags":["auth"],"summary":"Verify Email","operationId":"verify_email_verify_email_post","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"verification_token","in":"query","required":true,"schema":{"type":"string","title":"Verification Token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerificationRequest","examples":[{"email":"user@example.com"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/token":{"get":{"tags":["auth"],"summary":"Get Token","operationId":"get_token_token_get","deprecated":true,"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"organization_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid4"},{"type":"null"}],"title":"Organization Id"}},{"name":"organization_slug","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Organization Slug"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTokenResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/refresh_token":{"post":{"tags":["auth"],"summary":"Refresh Token","operationId":"refresh_token_refresh_token_post","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"refresh_token","in":"cookie","required":true,"schema":{"type":"string","title":"Refresh Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/healthcheck":{"get":{"tags":["health"],"summary":"Healthcheck","operationId":"healthcheck_healthcheck_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HealthcheckResponse"}}}}}}},"/healthcheck/postgres":{"get":{"tags":["health"],"summary":"Postgres Healthcheck","description":"PostgreSQL health check for external monitoring.\n\nExecutes SELECT 1 query to verify database connectivity.\nReturns 200 if healthy, 503 if unhealthy.","operationId":"postgres_healthcheck_healthcheck_postgres_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/healthcheck/clickhouse":{"get":{"tags":["health"],"summary":"Clickhouse Healthcheck","description":"ClickHouse health check for external monitoring.\n\nExecutes SELECT 1 query to verify database connectivity.\nReturns 200 if healthy, 503 if unhealthy.","operationId":"clickhouse_healthcheck_healthcheck_clickhouse_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/generate_password_reset_email":{"get":{"tags":["system_users_authentication"],"summary":"Generate Password Reset Email","operationId":"generate_password_reset_email_generate_password_reset_email_get","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"user_email","in":"query","required":true,"schema":{"type":"string","format":"email","title":"User Email"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordResetEmailResponse"}}}},"429":{"description":"Too many password reset requests"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/password_reset":{"post":{"tags":["system_users_authentication"],"summary":"Password Reset","description":"Reset a system user's password.\n\nA password reset with a valid token should always verify the user. (See default of\nUserPasswordResetRequest.email_is_verified is True)","operationId":"password_reset_password_reset_post","parameters":[{"name":"reset_token","in":"query","required":true,"schema":{"type":"string","title":"Reset Token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPasswordResetRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemUserDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/resend_verification_email":{"post":{"tags":["system_users_authentication"],"summary":"Resend Verification Email","description":"Resend verification email to an unverified user.","operationId":"resend_verification_email_resend_verification_email_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerificationRequest","examples":[{"email":"user@example.com"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResendVerificationEmailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"OAuth2PasswordBearer":[]}]}},"/user_roles":{"get":{"tags":["users"],"summary":"Get User Roles","description":"Get all user roles.","operationId":"get_user_roles_user_roles_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/UserRoleInfo"},"type":"array","title":"Response Get User Roles User Roles Get"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/request_access":{"post":{"tags":["users"],"summary":"Request Access","description":"Endpoint for a user to request access to the console.\n\nThis is often the first step for a user to sign up for the console. The user record is created with\n`email_is_verified=None`, which signifies that the user has requested access but hasn't been invited yet.","operationId":"request_access_request_access_post","parameters":[{"name":"user_email","in":"query","required":true,"schema":{"type":"string","format":"email","title":"User Email"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/signup_link":{"post":{"tags":["users"],"summary":"Generate Signup Link","description":"Generate a signup link for a new user and send it via email.\n\nThis endpoint is used by admins in the console Command Center.\nWe create an unverified user entry and send a signup email to the new user.\n\nWhen the show_invitation_link_and_reset_password feature flag is enabled,\nthe signup URL is also returned in the API response. Otherwise, it is\nsent exclusively via email.\n\nThe user is then verified via one of the following endpoints:\n- POST /users\n- POST /users/social","operationId":"generate_signup_link_signup_link_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_email","in":"query","required":true,"schema":{"type":"string","format":"email","title":"User Email"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSignupLinkResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/invite_users":{"post":{"tags":["users"],"summary":"Invite Users","operationId":"invite_users_invite_users_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InviteUsersRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/users":{"post":{"tags":["users"],"summary":"Create Or Verify User","description":"Create a new system user with an email and password.\n\nIf no admin exists (first user), the user will be created as an admin.\n\nOtherwise:\n- User record was already created when the admin invited the user\n- We should verify the user's email","operationId":"create_or_verify_user_users_post","deprecated":true,"parameters":[{"name":"signup_token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Signup Token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreate","examples":[{"email":"user@example.com","first_name":"Alice","last_name":"Appleseed","auth_method":"email","password":"Th3secret_"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemUserDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["users"],"summary":"List Users","operationId":"list_users_users_get","deprecated":true,"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUsersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["users"],"summary":"Delete User Self","operationId":"delete_user_self_users_delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteUserResponse"}}}}}}},"/system_users":{"post":{"tags":["users"],"summary":"Create Or Verify User","description":"Create a new system user with an email and password.\n\nIf no admin exists (first user), the user will be created as an admin.\n\nOtherwise:\n- User record was already created when the admin invited the user\n- We should verify the user's email","operationId":"create_or_verify_user_system_users_post","parameters":[{"name":"signup_token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Signup Token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreate","examples":[{"email":"user@example.com","first_name":"Alice","last_name":"Appleseed","auth_method":"email","password":"Th3secret_"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemUserDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/social":{"post":{"tags":["users"],"summary":"Create Or Verify User Social","description":"Create a user using a social login provider.\n\nAll social users are created with `email_is_verified=True`, don't need to be invited and are by default read-only\n(unless they are the first user, in which case they are set to admin).","operationId":"create_or_verify_user_social_users_social_post","deprecated":true,"parameters":[{"name":"signup_token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Signup Token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SocialLoginRequest","examples":[{"id_token":"token1234","provider":"google"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemUserDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/system_users/social":{"post":{"tags":["users"],"summary":"Create Or Verify User Social","description":"Create a user using a social login provider.\n\nAll social users are created with `email_is_verified=True`, don't need to be invited and are by default read-only\n(unless they are the first user, in which case they are set to admin).","operationId":"create_or_verify_user_social_system_users_social_post","parameters":[{"name":"signup_token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Signup Token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SocialLoginRequest","examples":[{"id_token":"token1234","provider":"google"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemUserDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/all":{"post":{"tags":["users"],"summary":"List Users Paginated","operationId":"list_users_paginated_users_all_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueryUserParams","default":{"filters":[],"sort":{"name":"created_at","ascending":false,"sort_type":"column"}}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUsersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["users"],"summary":"List All Users","description":"List all users in the system.\n\nThis endpoint is optimized to count project and runs for each user. This endpoint must be placed before\n`/users/{user_id}` so that \"all\" is not interpreted as a UUID4.","operationId":"list_all_users_users_all_get","deprecated":true,"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetUserResponse"},"title":"Response List All Users Users All Get"}}}}}}},"/users/{user_id}":{"get":{"tags":["users"],"summary":"Get User","operationId":"get_user_users__user_id__get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["users"],"summary":"Update User","operationId":"update_user_users__user_id__put","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdate","examples":[{"first_name":"Tony","last_name":"Newname","email":"bigtony@rungalileo.io"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["users"],"summary":"Delete User","operationId":"delete_user_users__user_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteUserResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/{user_id}/runs/latest":{"get":{"tags":["users"],"summary":"Get Latest User Run","description":"Gets the most recent run for a User, ordered by last updated.","operationId":"get_latest_user_run_users__user_id__runs_latest_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}},{"name":"project_type","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ProjectType","default":"gen_ai"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserLatestRunsDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/{user_id}/runs":{"get":{"tags":["users"],"summary":"Get Project Runs For User","description":"Get all user created runs across all projects they can access.\n\nThis returns a filtered list of projects with only runs created by this user.","operationId":"get_project_runs_for_user_users__user_id__runs_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}},{"name":"project_type","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/ProjectType"},{"type":"null"}],"title":"Project Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProjectDB"},"title":"Response Get Project Runs For User Users  User Id  Runs Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/generate_password_reset":{"get":{"tags":["users"],"summary":"Generate Password Reset Link","operationId":"generate_password_reset_link_generate_password_reset_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_email","in":"query","required":true,"schema":{"type":"string","title":"User Email"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordResetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/{user_id}/transfer":{"post":{"tags":["users"],"summary":"Transfer User Data","description":"Transfers all projects, runs, and edits created by a user to another user.","operationId":"transfer_user_data_users__user_id__transfer_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}},{"name":"new_user_id","in":"query","required":true,"schema":{"type":"string","format":"uuid4","title":"New User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferUserResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/current_user":{"get":{"tags":["users"],"summary":"Current User","operationId":"current_user_current_user_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrentUserDB"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/versions":{"get":{"tags":["versions"],"summary":"Get Current Versions","operationId":"get_current_versions_versions_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object","title":"Response Get Current Versions Versions Get"}}}}}}},"/current_system_user":{"get":{"tags":["system_users"],"summary":"Current System User","operationId":"current_system_user_current_system_user_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemUserDB"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/current_system_user/organizations":{"get":{"tags":["system_users"],"summary":"Current System User Organizations","operationId":"current_system_user_organizations_current_system_user_organizations_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListOrganizationsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/system_users/{system_user_id}":{"delete":{"tags":["system_users"],"summary":"Delete System User","operationId":"delete_system_user_system_users__system_user_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"system_user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"System User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/organizations":{"post":{"tags":["organizations"],"summary":"Create Organization","operationId":"create_organization_organizations_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationCreate"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/users/{user_id}/api_keys":{"get":{"tags":["api_keys"],"summary":"Get Api Keys","operationId":"get_api_keys_users__user_id__api_keys_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListApiKeyResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/api_keys":{"post":{"tags":["api_keys"],"summary":"Create Api Key","operationId":"create_api_key_users_api_keys_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiKeyRequest","examples":[{"description":"My cool api_key","expires_at":"2025-04-01 09:00:00+00:00"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiKeyResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/users/api_keys/{api_key_id}":{"delete":{"tags":["api_keys"],"summary":"Delete Api Key","operationId":"delete_api_key_users_api_keys__api_key_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"api_key_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Api Key Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyDeleteResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets":{"post":{"tags":["datasets"],"summary":"Create Dataset","description":"Creates a standalone dataset.","operationId":"create_dataset_datasets_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"format","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DatasetFormat","default":"csv"}},{"name":"hidden","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Hidden"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_create_dataset_datasets_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["datasets"],"summary":"List Datasets","operationId":"list_datasets_datasets_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"actions","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/DatasetAction"},"description":"Actions to include in the 'permissions' field.","title":"Actions"},"description":"Actions to include in the 'permissions' field."},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/bulk_delete":{"delete":{"tags":["datasets"],"summary":"Bulk Delete Datasets","description":"Delete multiple datasets in bulk.\n\nThis endpoint allows efficient deletion of multiple datasets at once.\nIt validates permissions for each dataset in the service and provides detailed feedback about\nsuccessful and failed deletions for each dataset.\n\nParameters\n----------\ndelete_request : BulkDeleteDatasetsRequest\n    Request containing list of dataset IDs to delete (max 100)\nctx : Context\n    Request context including authentication information\n\nReturns\n-------\nBulkDeleteDatasetsResponse\n    Details about the bulk deletion operation including:\n    - Number of successfully deleted datasets\n    - List of failed deletions with reasons\n    - Summary message","operationId":"bulk_delete_datasets_datasets_bulk_delete_delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkDeleteDatasetsRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkDeleteDatasetsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/datasets/{dataset_id}":{"get":{"tags":["datasets"],"summary":"Get Dataset","operationId":"get_dataset_datasets__dataset_id__get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["datasets"],"summary":"Update Dataset","operationId":"update_dataset_datasets__dataset_id__patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDatasetRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["datasets"],"summary":"Delete Dataset","operationId":"delete_dataset_datasets__dataset_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/query":{"post":{"tags":["datasets"],"summary":"Query Datasets","operationId":"query_datasets_datasets_query_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"actions","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/DatasetAction"},"description":"Actions to include in the 'permissions' field.","title":"Actions"},"description":"Actions to include in the 'permissions' field."},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetParams","default":{"filters":[],"sort":{"name":"created_at","ascending":false,"sort_type":"column"}}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/content":{"patch":{"tags":["datasets"],"summary":"Update Dataset Content","description":"Update the content of a dataset.\n\nThe `index` and `column_name` fields are treated as keys tied to a specific version of the dataset.\nAs such, these values are considered immutable identifiers for the dataset's structure.\n\nEdits are applied sequentially in list order, and each edit sees the table state left by the\nprevious one. For example, after a `rename_column` edit renames `col_a` to `col_b`, any\nsubsequent `update_row` in the same request must reference the column as `col_b`, not `col_a`.\n\nThe `If-Match` header is used to ensure that updates are only applied if the client's version of the dataset\nmatches the server's version. This prevents conflicts from simultaneous updates. The `ETag` header in the response\nprovides the new version identifier after a successful update.","operationId":"update_dataset_content_datasets__dataset_id__content_patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"If-Match","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ETag of the dataset as a version identifier.","examples":["d89cce33-549d-4b6d-b220-afb641d859c8"],"title":"If-Match"},"description":"ETag of the dataset as a version identifier."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDatasetContentRequest"}}}},"responses":{"204":{"description":"Dataset content updated successfully","headers":{"ETag":{"description":"New version identifier for the dataset","schema":{"type":"string"}}}},"404":{"description":"Dataset not found"},"412":{"description":"ETag mismatch; client's If-Match does not match current resource version"},"422":{"description":"Validation error in request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"423":{"description":"Resource lock could not be acquired; another update may be in progress"}}},"get":{"tags":["datasets"],"summary":"Get Dataset Content","operationId":"get_dataset_content_datasets__dataset_id__content_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetContent"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["datasets"],"summary":"Upsert Dataset Content","description":"Rollback the content of a dataset to a previous version.","operationId":"upsert_dataset_content_datasets__dataset_id__content_put","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/RollbackRequest"},{"$ref":"#/components/schemas/UpsertDatasetContentRequest"}],"title":"Body"}}}},"responses":{"204":{"description":"Dataset content upserted successfully"},"404":{"description":"Dataset not found"},"422":{"description":"Validation error in request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"423":{"description":"Resource lock could not be acquired; another update may be in progress"}}}},"/datasets/{dataset_id}/download":{"get":{"tags":["datasets"],"summary":"Download Dataset","operationId":"download_dataset_datasets__dataset_id__download_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/preview":{"post":{"tags":["datasets"],"summary":"Preview Dataset","operationId":"preview_dataset_datasets__dataset_id__preview_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreviewDatasetRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetContent"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/content/query":{"post":{"tags":["datasets"],"summary":"Query Dataset Content","operationId":"query_dataset_content_datasets__dataset_id__content_query_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueryDatasetParams","default":{"filters":[]}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetContent"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/users":{"post":{"tags":["datasets"],"summary":"Create User Dataset Collaborators","operationId":"create_user_dataset_collaborators_datasets__dataset_id__users_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserCollaboratorCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserCollaborator"},"title":"Response Create User Dataset Collaborators Datasets  Dataset Id  Users Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["datasets"],"summary":"List User Dataset Collaborators","description":"List the users with which the dataset has been shared.","operationId":"list_user_dataset_collaborators_datasets__dataset_id__users_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListUserCollaboratorsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/groups":{"post":{"tags":["datasets"],"summary":"Create Group Dataset Collaborators","description":"Share a dataset with groups.","operationId":"create_group_dataset_collaborators_datasets__dataset_id__groups_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupCollaboratorCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupCollaborator"},"title":"Response Create Group Dataset Collaborators Datasets  Dataset Id  Groups Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["datasets"],"summary":"List Group Dataset Collaborators","description":"List the groups with which the dataset has been shared.","operationId":"list_group_dataset_collaborators_datasets__dataset_id__groups_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListGroupCollaboratorsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/users/{user_id}":{"patch":{"tags":["datasets"],"summary":"Update User Dataset Collaborator","description":"Update the sharing permissions of a user on a dataset.","operationId":"update_user_dataset_collaborator_datasets__dataset_id__users__user_id__patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCollaborator"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["datasets"],"summary":"Delete User Dataset Collaborator","description":"Remove a user's access to a dataset.","operationId":"delete_user_dataset_collaborator_datasets__dataset_id__users__user_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/groups/{group_id}":{"patch":{"tags":["datasets"],"summary":"Update Group Dataset Collaborator","description":"Update the sharing permissions of a group on a dataset.","operationId":"update_group_dataset_collaborator_datasets__dataset_id__groups__group_id__patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupCollaborator"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["datasets"],"summary":"Delete Group Dataset Collaborator","description":"Remove a group's access to a dataset.","operationId":"delete_group_dataset_collaborator_datasets__dataset_id__groups__group_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/versions/query":{"post":{"tags":["datasets"],"summary":"Query Dataset Versions","operationId":"query_dataset_versions_datasets__dataset_id__versions_query_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetVersionParams"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetVersionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/versions/{version_index}/content":{"get":{"tags":["datasets"],"summary":"Get Dataset Version Content","operationId":"get_dataset_version_content_datasets__dataset_id__versions__version_index__content_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"version_index","in":"path","required":true,"schema":{"type":"integer","title":"Version Index"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetContent"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/versions/{version_index}":{"patch":{"tags":["datasets"],"summary":"Update Dataset Version","operationId":"update_dataset_version_datasets__dataset_id__versions__version_index__patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"version_index","in":"path","required":true,"schema":{"type":"integer","title":"Version Index"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDatasetVersionRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetVersionDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/{dataset_id}/projects":{"get":{"tags":["datasets"],"summary":"List Dataset Projects","operationId":"list_dataset_projects_datasets__dataset_id__projects_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetProjectsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/datasets/extend":{"post":{"tags":["datasets"],"summary":"Extend Dataset Content","description":"Extends the dataset content","operationId":"extend_dataset_content_datasets_extend_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyntheticDatasetExtensionRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyntheticDatasetExtensionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/datasets/extend/{dataset_id}":{"get":{"tags":["datasets"],"summary":"Get Dataset Synthetic Extend Status","operationId":"get_dataset_synthetic_extend_status_datasets_extend__dataset_id__get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobProgress"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/projects/{project_id}/experiments":{"get":{"tags":["experiment"],"summary":"List Experiments","description":"Retrieve all experiments for a project.","operationId":"list_experiments_projects__project_id__experiments_get","deprecated":true,"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"include_counts","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Counts"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExperimentResponse"},"title":"Response List Experiments Projects  Project Id  Experiments Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["experiment"],"summary":"Create Experiment","description":"Create a new experiment for a project.","operationId":"create_experiment_projects__project_id__experiments_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentCreateRequest","examples":[{"name":"my_first_experiment"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/projects/{project_id}/experiments/paginated":{"get":{"tags":["experiment"],"summary":"List Experiments Paginated","description":"Retrieve all experiments for a project with pagination.","operationId":"list_experiments_paginated_projects__project_id__experiments_paginated_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"include_counts","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Counts"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/projects/{project_id}/experiments/search":{"post":{"tags":["experiment"],"summary":"Search Experiments","description":"Search experiments for a project.","operationId":"search_experiments_projects__project_id__experiments_search_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentSearchRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/projects/{project_id}/experiments/{experiment_id}":{"get":{"tags":["experiment"],"summary":"Get Experiment","description":"Retrieve a specific experiment.","operationId":"get_experiment_projects__project_id__experiments__experiment_id__get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"experiment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Experiment Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["experiment"],"summary":"Update Experiment","description":"Update a specific experiment.","operationId":"update_experiment_projects__project_id__experiments__experiment_id__put","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"experiment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Experiment Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentUpdateRequest","examples":[{"name":"my_first_experiment"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["experiment"],"summary":"Delete Experiment","description":"Delete a specific experiment.","operationId":"delete_experiment_projects__project_id__experiments__experiment_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"experiment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Experiment Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/projects/{project_id}/experiments/available_columns":{"post":{"tags":["experiment"],"summary":"Experiments Available Columns","description":"Procures the column information for experiments.","operationId":"experiments_available_columns_projects__project_id__experiments_available_columns_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentsAvailableColumnsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/projects/{project_id}/feedback/templates/{template_id}":{"patch":{"tags":["feedback"],"summary":"Update Feedback Template","operationId":"update_feedback_template_projects__project_id__feedback_templates__template_id__patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackTemplateUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackTemplateDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["feedback"],"summary":"Get Feedback Template","operationId":"get_feedback_template_projects__project_id__feedback_templates__template_id__get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackTemplateDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["feedback"],"summary":"Delete Feedback Template","operationId":"delete_feedback_template_projects__project_id__feedback_templates__template_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/projects/{project_id}/feedback/templates":{"get":{"tags":["feedback"],"summary":"List Feedback Templates","operationId":"list_feedback_templates_projects__project_id__feedback_templates_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackTemplateDB"},"title":"Response List Feedback Templates Projects  Project Id  Feedback Templates Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/projects/{project_id}/runs/{run_id}/feedback/templates/{template_id}/index/{index}/rating":{"put":{"tags":["feedback"],"summary":"Create Feedback Rating","description":"Record a feedack rating for a specific sample in a run. For prompt chains, the index must be the root node.","operationId":"create_feedback_rating_projects__project_id__runs__run_id__feedback_templates__template_id__index__index__rating_put","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"run_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Run Id"}},{"name":"index","in":"path","required":true,"schema":{"type":"integer","title":"Index"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackRatingCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackRatingDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["feedback"],"summary":"Get Feedback Rating","operationId":"get_feedback_rating_projects__project_id__runs__run_id__feedback_templates__template_id__index__index__rating_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"run_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Run Id"}},{"name":"index","in":"path","required":true,"schema":{"type":"integer","title":"Index"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackRatingDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["feedback"],"summary":"Delete Feedback Rating","operationId":"delete_feedback_rating_projects__project_id__runs__run_id__feedback_templates__template_id__index__index__rating_delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"run_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Run Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}},{"name":"index","in":"path","required":true,"schema":{"type":"integer","title":"Index"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/projects/{project_id}/runs/{run_id}/ratings":{"post":{"tags":["feedback"],"summary":"Apply Bulk Feedback","description":"Record multiple feedback ratings","operationId":"apply_bulk_feedback_projects__project_id__runs__run_id__ratings_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"run_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Run Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkFeedbackRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BulkFeedbackRatingStatus"},"title":"Response Apply Bulk Feedback Projects  Project Id  Runs  Run Id  Ratings Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/group_roles":{"get":{"tags":["groups"],"summary":"Get Group Roles","operationId":"get_group_roles_group_roles_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/GroupRoleInfo"},"type":"array","title":"Response Get Group Roles Group Roles Get"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/groups":{"post":{"tags":["groups"],"summary":"Create Group","operationId":"create_group_groups_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["groups"],"summary":"List Groups","operationId":"list_groups_groups_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListGroupsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/groups/{group_id}":{"delete":{"tags":["groups"],"summary":"Delete Group","operationId":"delete_group_groups__group_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["groups"],"summary":"Get Group","operationId":"get_group_groups__group_id__get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["groups"],"summary":"Update Group","operationId":"update_group_groups__group_id__patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/groups/{group_id}/members":{"post":{"tags":["groups"],"summary":"Add User To Group","operationId":"add_user_to_group_groups__group_id__members_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupMemberCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupMemberDB"},"title":"Response Add User To Group Groups  Group Id  Members Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["groups"],"summary":"List Group Members","operationId":"list_group_members_groups__group_id__members_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListGroupMembersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/groups/{group_id}/members/{user_id}":{"patch":{"tags":["groups"],"summary":"Update Group Member","operationId":"update_group_member_groups__group_id__members__user_id__patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupMemberUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupMemberDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["groups"],"summary":"Delete Group Member","operationId":"delete_group_member_groups__group_id__members__user_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/current_user/groups":{"get":{"tags":["groups"],"summary":"List Current User Groups","operationId":"list_current_user_groups_current_user_groups_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/GroupDB"},"type":"array","title":"Response List Current User Groups Current User Groups Get"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/integrations/available":{"get":{"tags":["integrations"],"summary":"List Available Integrations","description":"List all of the available integrations to be created in Galileo.","operationId":"list_available_integrations_integrations_available_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailableIntegrations"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/integrations/{name}":{"get":{"tags":["integrations"],"summary":"Get Integration","description":"Gets the integration data formatted for the specified integration.","operationId":"get_integration_integrations__name__get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"name","in":"path","required":true,"schema":{"$ref":"#/components/schemas/IntegrationProvider"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/AwsBedrockIntegration"},{"$ref":"#/components/schemas/AwsSageMakerIntegration"},{"$ref":"#/components/schemas/AzureIntegration"},{"$ref":"#/components/schemas/AnthropicIntegration"},{"$ref":"#/components/schemas/CustomIntegration"},{"$ref":"#/components/schemas/DatabricksIntegration"},{"$ref":"#/components/schemas/MistralIntegration"},{"$ref":"#/components/schemas/NvidiaIntegration"},{"$ref":"#/components/schemas/OpenAIIntegration"},{"$ref":"#/components/schemas/VegasGatewayIntegration"},{"$ref":"#/components/schemas/VertexAIIntegration"},{"$ref":"#/components/schemas/WriterIntegration"}],"discriminator":{"propertyName":"provider","mapping":{"aws_bedrock":"#/components/schemas/AwsBedrockIntegration","aws_sagemaker":"#/components/schemas/AwsSageMakerIntegration","azure":"#/components/schemas/AzureIntegration","anthropic":"#/components/schemas/AnthropicIntegration","custom":"#/components/schemas/CustomIntegration","databricks":"#/components/schemas/DatabricksIntegration","mistral":"#/components/schemas/MistralIntegration","nvidia":"#/components/schemas/NvidiaIntegration","openai":"#/components/schemas/OpenAIIntegration","vegas_gateway":"#/components/schemas/VegasGatewayIntegration","vertex_ai":"#/components/schemas/VertexAIIntegration","writer":"#/components/schemas/WriterIntegration"}},"title":"Response Get Integration Integrations  Name  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["integrations"],"summary":"Delete Integration","description":"Delete an integration. Admins can delete integrations created by other admins in the same org.","operationId":"delete_integration_integrations__name__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"name","in":"path","required":true,"schema":{"$ref":"#/components/schemas/IntegrationProvider"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/integrations/{name}/status":{"get":{"tags":["integrations"],"summary":"Get Integration Status","description":"Checks if the integration status is active or not.","operationId":"get_integration_status_integrations__name__status_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"name","in":"path","required":true,"schema":{"$ref":"#/components/schemas/IntegrationProvider"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Response Get Integration Status Integrations  Name  Status Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/integrations/{integration_id}/users":{"get":{"tags":["integrations"],"summary":"List User Integration Collaborators","description":"List the users with which the integration has been shared.","operationId":"list_user_integration_collaborators_integrations__integration_id__users_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListUserCollaboratorsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["integrations"],"summary":"Create User Integration Collaborators","operationId":"create_user_integration_collaborators_integrations__integration_id__users_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserCollaboratorCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserCollaborator"},"title":"Response Create User Integration Collaborators Integrations  Integration Id  Users Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/integrations/{integration_id}/users/{user_id}":{"patch":{"tags":["integrations"],"summary":"Update User Integration Collaborator","description":"Update the sharing permissions of a user on an integration.","operationId":"update_user_integration_collaborator_integrations__integration_id__users__user_id__patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCollaborator"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["integrations"],"summary":"Delete User Integration Collaborator","description":"Remove a user's access to an integration.","operationId":"delete_user_integration_collaborator_integrations__integration_id__users__user_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/integrations/{integration_id}/groups":{"post":{"tags":["integrations"],"summary":"Create Group Integration Collaborators","description":"Share an integration with groups.","operationId":"create_group_integration_collaborators_integrations__integration_id__groups_post","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupCollaboratorCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupCollaborator"},"title":"Response Create Group Integration Collaborators Integrations  Integration Id  Groups Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["integrations"],"summary":"List Group Integration Collaborators","description":"List the groups with which the integration has been shared.","operationId":"list_group_integration_collaborators_integrations__integration_id__groups_get","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListGroupCollaboratorsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/integrations/{integration_id}/groups/{group_id}":{"patch":{"tags":["integrations"],"summary":"Update Group Integration Collaborator","description":"Update the sharing permissions of a group on an integration.","operationId":"update_group_integration_collaborator_integrations__integration_id__groups__group_id__patch","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupCollaborator"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["integrations"],"summary":"Delete Group Integration Collaborator","description":"Remove a group's access to an integration.","operationId":"delete_group_integration_collaborator_integrations__integration_id__groups__group_id__delete","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/integrations/{integration_id}/select":{"put":{"tags":["integrations"],"summary":"Create Or Update Integration Selection","description":"Create or update an integration selection for this user from Galileo.","operationId":"create_or_update_integration_selection_integrations__integration_id__select_put","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/integrations/anthropic":{"put":{"tags":["integrations"],"summary":"Create or update Anthropic integration","description":"Create or update an Anthropic integration for this user from Galileo.","operationId":"create_or_update_integration_integrations_anthropic_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnthropicIntegrationCreate","examples":[{"token":"my_secret_api_token"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/integrations/aws_bedrock":{"put":{"tags":["integrations"],"summary":"Create or update AWS Bedrock integration","description":"Create or update an AWS integration for this user from Galileo.","operationId":"create_or_update_integration_integrations_aws_bedrock_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseAwsIntegrationCreate","examples":[{"credential_type":"key_secret","region":"us-west-2","inference_profiles":{},"token":{"aws_access_key_id":"AWSA46AWSAWSBEDR0C45K","aws_secret_access_key":"sagasg2t0-9527@$s1ashsahfahfddsg"}},{"credential_type":"assumed_role","region":"us-west-1","inference_profiles":{},"token":{"aws_role_arn":"arn:aws:iam::1234567901:role/AWSBedrockAccessRole"}}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/integrations/aws_sagemaker":{"put":{"tags":["integrations"],"summary":"Create or update AWS SageMaker integration","description":"Create or update an AWS integration for this user from Galileo.","operationId":"create_or_update_integration_integrations_aws_sagemaker_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AwsSageMakerIntegrationCreate","examples":[{"models":[{"name":"huggingface-pytorch-inference-2024-02-29-14-53-51-829","alias":"aws_hello_world","integration":"aws_sagemaker","lifecycle_state":"active","system_supported":false,"input_modalities":["text"],"alternative_names":[],"token_limit":4000,"cost_by":"tokens","is_chat":false,"provides_log_probs":false,"formatting_tokens":0,"response_prefix_tokens":0,"legacy_mistral_prompt_format":false,"requires_max_tokens":false,"params_map":{"model":"model"},"input_map":{"prompt":"prompt","prefix":"","suffix":""}}],"credential_type":"key_secret","region":"us-west-2","inference_profiles":{},"token":{"aws_access_key_id":"AWSA46AWSAWSBEDR0C45K","aws_secret_access_key":"sagasg2t0-9527@$s1ashsahfahfddsg"}},{"models":[],"credential_type":"assumed_role","region":"us-west-1","inference_profiles":{},"token":{"aws_role_arn":"arn:aws:iam::1234567901:role/AWSSagemakerAccessRole"}}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/integrations/azure":{"put":{"tags":["integrations"],"summary":"Create or update Azure integration","description":"Create or update an Azure integration for this user from Galileo.","operationId":"create_or_update_integration_integrations_azure_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AzureIntegrationCreate","examples":[{"token":"my_secret_api_token","endpoint":"https://example-proxy.rungalileo.io","proxy":true,"available_deployments":[{"model":"gpt-4o-mini","id":"id1"},{"model":"gpt-5","id":"id2"}]},{"token":"my_secret_api_token","endpoint":"https://example-endpoint.openai.azure.com","available_deployments":[{"model":"gpt-4o-mini","id":"id1"},{"model":"gpt-5","id":"id2"}]},{"token":"my_secret_api_token","endpoint":"https://example-endpoint.openai.azure.com","headers":{"user_id":"user@example.com","project_name":"foo-bar"}},{"token":"my_secret_api_token","endpoint":"https://example-proxy.rungalileo.io","proxy":true},{"token":"my_secret_api_token","endpoint":"https://example-endpoint.openai.azure.com"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/integrations/custom":{"put":{"tags":["integrations"],"summary":"Create or update custom integration","operationId":"create_or_update_integration_integrations_custom_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomIntegrationCreate","examples":[{"authentication_type":"oauth2","models":["custom-model-1","custom-model-2"],"endpoint":"https://api.custom-provider.com/v1","authentication_scope":"chat.completions","oauth2_token_url":"https://api.custom-provider.com/oauth2/token","token":"your_oauth2_client_credentials_json","default_model":"custom-model-1"},{"authentication_type":"none","models":["custom-model-1","custom-model-2"],"endpoint":"https://internal-gateway.local/v1","default_model":"custom-model-1"},{"authentication_type":"api_key","models":["custom-model-1","custom-model-2"],"endpoint":"https://api.gateway-provider.com/v1","api_key_header":"X-API-Key","api_key_value":"your_api_key_here","headers":{"X-Custom-Header":"custom-value","X-Another-Header":"another-value"},"default_model":"custom-model-1","custom_llm_config":{"file_name":"proprietary_handler.py","class_name":"ProprietaryLLMHandler","init_kwargs":{"timeout":60}}}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/integrations/custom/{name}":{"put":{"tags":["integrations"],"summary":"Create or update a named custom integration","operationId":"create_or_update_named_custom_integration_integrations_custom__name__put","security":[{"ClassicAPIKeyHeader":[]},{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string","description":"Slug identifying this named custom integration","title":"Name"},"description":"Slug identifying this named custom integration"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomIntegrationCreate","examples":[{"authentication_type":"oauth2","models":["custom-model-1","custom-model-2"],"endpoint":"https://api.custom-provider.com/v1","authentication_scope":"chat.completions","oauth2_token_url":"https://api.custom-provider.com/oauth2/token","token":"your_oauth2_client_credentials_json","default_model":"custom-model-1"},{"authentication_type":"none","models":["custom-model-1","custom-model-2"],"endpoint":"https://internal-gateway.local/v1","default_
[...]
